import { AfterViewInit, ElementRef, EventEmitter, OnChanges, OnDestroy, OnInit, SimpleChanges } from '@angular/core';
import { Textbox } from '../ppt-textbox/textbox';
import { TsingPptDataService } from '../tsing-ppt-data.service';
import { PptActionCmd } from '../ppt-action-cmd';
/**
 * 文本编辑单元
 * @author lcf
 * @date 2018/11/2
*/
export declare class PptTextComponent implements OnInit, OnDestroy, OnChanges, AfterViewInit {
    hostElement: ElementRef;
    private tsingPptDataService;
    state: number;
    textData: Textbox;
    width: number;
    height: number;
    stateChange: EventEmitter<number>;
    dataModelChange: EventEmitter<Textbox>;
    content: ElementRef;
    private subScripChangeText;
    shadowRoot: ShadowRoot;
    private contentMouseDown;
    private contentPaste;
    constructor(hostElement: ElementRef, tsingPptDataService: TsingPptDataService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngAfterViewInit(): void;
    parseDataModel(): void;
    changeAllStyle(chg: PptActionCmd): void;
    changeRangeStyle(range: Range, chg: PptActionCmd): void;
    /**
     * 获取下一个span
     * @param span
     */
    private getNextSpan(span);
    /**
     * 设置data-model属性
     */
    resetDataModel(): void;
    action(): void;
    unaction(): void;
}
