import { BehaviorSubject, Subject, Subscription } from 'rxjs';
import { PptActionCmd } from './ppt-action-cmd';
export declare class ActionBox {
    id: number;
    state: number;
}
export declare class InitDestoryBox {
    id: number;
    type: number;
    animaType: number;
    animaIndex: number;
}
export declare class AnimaSort {
    id: number;
    animaType: number;
    animaIndex: number;
}
export declare class TsingPptDataService {
    idIndex: number;
    radio: BehaviorSubject<number>;
    changeText: Subject<PptActionCmd>;
    boxState: BehaviorSubject<ActionBox>;
    aliVideo: Subject<{
        vid: string;
        playauth: string;
    }>;
    flash: Subject<{
        src: string;
    }>;
    textFocus: Subject<number>;
    boxInitDestory: Subject<InitDestoryBox>;
    animaSort: Subject<AnimaSort>;
    playAnima: Subject<number>;
    animaMaxIndex: number;
    animaCurrIndex: number;
    hasChanged: boolean;
    constructor();
    setRadio(radio: number): void;
    getRadio(next: (value: number) => void): void;
    onChangeText(next: (value: PptActionCmd) => void): Subscription;
    trickChangeText(chg: PptActionCmd): void;
    onChangeBoxState(next: (actionBox: ActionBox) => void): Subscription;
    changeBoxState(actionBox: ActionBox): void;
    getCompId(): number;
    playAliVideo(videoInfo: {
        vid: string;
        playauth: string;
    }): void;
    onPlayAliVideo(next: (videoInfo: {
        vid: string;
        playauth: string;
    }) => void): Subscription;
    flashShow(flashInfo: {
        src: string;
    }): void;
    onFlashShow(next: (flashInfo: {
        src: string;
    }) => void): Subscription;
    changeTextFocus(): void;
    onChangeTextFocus(next: (val: number) => void): Subscription;
    onChangeBoxInitDestory(next: (initDestoryBox: InitDestoryBox) => void): Subscription;
    changeBoxInitDestory(initDestoryBox: InitDestoryBox): void;
    onChangeAnimaSort(next: (animaSort: AnimaSort) => void): Subscription;
    changeAnimaSort(animaSort: AnimaSort): void;
    countAnimaNum(animaIndex: any): void;
    hasNextAnima(): boolean;
    initAnima(): void;
    onChangePlayAnima(next: (index: number) => void): Subscription;
    changePlayAnima(): void;
    initAnimaIndex(): void;
    doChange(): void;
    hasChange(): boolean;
    initChange(): void;
}
